export function baidu_api_point(callback: any) {
  //注意这里挂载在了window上
  (window as any).callbackData = callback;
  const url =
    'https://api.map.baidu.com/location/ip?ak=RDBRKGErFTLbtmvUXp6X4UACeQGP5KlD&ip=&coor=bd09ll';

  const fetchJsonp = function (url: string) {
    const body = document.getElementsByTagName('body')[0];
    //插入一个script
    const script = document.createElement('script');
    script.setAttribute('src', url);
    body.appendChild(script);
  };
  fetchJsonp(url);
}
